Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026776
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 07. Sales managementminorhave not tried2014-06-04 10:032015-02-04 20:33
ReporterjonalegriaesarteView Statuspublic 
Assigned Todbaz 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision17607c72e7c5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR14Q2.1SCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2014-02-26
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
Triggers an Emergency PackNo
Summary

0026776: User can not select an option in filters using the keyboard

DescriptionUser can not select an option in filters using the keyboard.
Steps To Reproduce- Sales invoice window
- In business partner filter, search for a text, for example: aliment
- Try to select the option in the filter using the keyboard.
Notice that, in previous versions, using the arrows the system was able to select one option in the filter
TagsNo tags attached.
Attached Filesdiff file icon FK_KS_2.diff [^] (3,071 bytes) 2014-12-22 16:40 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0025574 closeddbaz Upgrade SmartClient 10.0d 
related to defect 0028470 acknowledgedplatform FK filter drop down is closed when selection is removed 
related to defect 0028471 acknowledgedplatform inhomogenous behavior between when removing filters using icon and keyboard shortcut 
related to defect 00284723.0PR15Q2 closedalostale multi requests to datasource in big FK filter drop down 
related to design defect 0028475 newAugustoMauch Wrong coding 
related to design defect 0028524 newdbaz The focused row of the combo filter dropdown list should follow the pagination 

-  Notes
(0067817)
alostale (developer)
2014-06-09 10:11

This issue is introduced in 3.0PR14Q2 by SmartClient upgrade.

In any case in previous versions there were some misbehaviors:

1. When opening filter drop down and navigating through records using down key, some records were not selectable.
2. Only one record could be selected
3. After pressing enter drop down was still present
4. After reopening drop down having selected one record with enter, that record was not shown as selected
(0067901)
alostale (developer)
2014-06-11 11:55

Attached proposed functional solution
(0067909)
alostale (developer)
2014-06-11 16:24

Moving to design defect as in order to do a proper fix some new implementation is required.
(0072661)
dbaz (developer)
2014-12-17 17:20

The final solution is different from the originally proposed one:

http://wiki.openbravo.com/wiki/Projects:FK_Filter_Keyboard_Shortcuts [^]
(0072776)
dbaz (developer)
2014-12-22 17:36

Test available at: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-8007 [^]
(0073313)
hgbot (developer)
2015-01-05 16:28

Repository: erp/devel/pi
Changeset: 17607c72e7c58c81a2110cf2ae3771c145e2c1c7
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Jan 05 16:27:55 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/17607c72e7c58c81a2110cf2ae3771c145e2c1c7 [^]

Fixed issue 26776: Re-added KS capabilities to filters
More info at http://wiki.openbravo.com/wiki/Projects:FK_Filter_Keyboard_Shortcuts [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list-filter.js
---
(0073344)
alostale (developer)
2015-01-08 10:54

code reviewed

tested in FK and list references and test cases defined in https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-8007 [^]
(0074111)
hudsonbot (developer)
2015-02-04 20:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f36c91d0ad63 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-04 10:03 jonalegriaesarte New Issue
2014-06-04 10:03 jonalegriaesarte Assigned To => AugustoMauch
2014-06-04 10:03 jonalegriaesarte Modules => Core
2014-06-04 10:03 jonalegriaesarte Triggers an Emergency Pack => No
2014-06-04 10:09 extra Issue Monitored: extra
2014-06-04 10:16 AugustoMauch Summary User can not select and option in filters using the keyboard => User can not select an option in filters using the keyboard
2014-06-04 10:16 AugustoMauch Description Updated View Revisions
2014-06-09 09:40 alostale Regression level => QA functional test
2014-06-09 10:07 alostale Regression level QA functional test => Production - QA Approved
2014-06-09 10:07 alostale Regression date => 2014-02-26
2014-06-09 10:07 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
2014-06-09 10:07 alostale Relationship added related to 0025574
2014-06-09 10:11 alostale Note Added: 0067817
2014-06-11 11:54 alostale File Added: IssueKeyboardFilter.png
2014-06-11 11:55 alostale Note Added: 0067901
2014-06-11 16:24 alostale Note Added: 0067909
2014-06-11 16:24 alostale Priority immediate => urgent
2014-06-11 16:24 alostale Severity major => minor
2014-06-11 16:24 alostale Type defect => design defect
2014-06-11 16:24 alostale Target Version PR14Q3 =>
2014-10-01 16:47 plujan Regression introduced in release => 3.0PR14Q2
2014-12-17 17:13 dbaz Assigned To AugustoMauch => dbaz
2014-12-17 17:20 dbaz Note Added: 0072661
2014-12-17 17:22 dbaz File Added: FK_KS.diff
2014-12-22 16:40 dbaz File Added: FK_KS_2.diff
2014-12-22 16:40 dbaz File Deleted: FK_KS.diff
2014-12-22 17:36 dbaz Note Added: 0072776
2014-12-22 17:37 dbaz File Deleted: IssueKeyboardFilter.png
2014-12-23 08:26 alostale Relationship added related to 0028470
2014-12-23 08:32 alostale Relationship added related to 0028471
2014-12-23 09:03 alostale Relationship added related to 0028472
2014-12-23 14:50 dbaz Relationship added related to 0028475
2015-01-05 16:24 dbaz Review Assigned To => alostale
2015-01-05 16:28 hgbot Checkin
2015-01-05 16:28 hgbot Note Added: 0073313
2015-01-05 16:28 hgbot Status new => resolved
2015-01-05 16:28 hgbot Resolution open => fixed
2015-01-05 16:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17607c72e7c58c81a2110cf2ae3771c145e2c1c7 [^]
2015-01-05 17:43 dbaz Relationship added related to 0028524
2015-01-08 10:54 alostale Note Added: 0073344
2015-01-08 10:54 alostale Status resolved => closed
2015-01-08 10:54 alostale Fixed in Version => 3.0PR15Q2
2015-02-04 20:33 hudsonbot Checkin
2015-02-04 20:33 hudsonbot Note Added: 0074111


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker